/* GEM Resource C Source */

#include <portab.h>
#include <portab.h>

#ifdef __MINTLIB__ || __GNUC__
	#include <aesbind.h>
#else
	#include <aes.h>
#endif
#include "POV.H"

#if !defined(WHITEBAK)
#define WHITEBAK    0x0040
#endif
#if !defined(DRAW3D)
#define DRAW3D      0x0080
#endif

#define FLAGS9  0x0200
#define FLAGS10 0x0400
#define FLAGS11 0x0800
#define FLAGS12 0x1000
#define FLAGS13 0x2000
#define FLAGS14 0x4000
#define FLAGS15 0x8000
#define STATE8  0x0100
#define STATE9  0x0200
#define STATE10 0x0400
#define STATE11 0x0800
#define STATE12 0x1000
#define STATE13 0x2000
#define STATE14 0x4000
#define STATE15 0x8000

static TEDINFO rs_tedinfo[] =
{ "S. A. Benett   D. K. Buck  A. A. Collins",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 41, 1,
  "A. Enzmann     D. Framer   G. T. Hagan",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 39, 1,
  "D. Muir        B. Pulver   R. Skinner",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 38, 1,
  "S. Taylor      D. Wells    C. Young",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 36, 1,
  "Other contributors listed in the docs",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 38, 1,
  "Port to Atari by Kay R\224mer",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 27, 1,
  "slightly improved by Dirk Klemmt",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 33, 1,
  "to use with POVRay 2.1",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 23, 1,
  " Contributing Authors: ",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 24, 1,
  "POVRay is based on DBKTrace 2.12 by",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 36, 1,
  "David K. Buck & Aaron A. Collins",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 33, 1,
  "corrections, improvements, suggestions to:",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 43, 1,
  "klemmt@informatik.uni-frankfurt.de",
  "\0",
  "\0",
  SMALL, 0, TE_LEFT , 0x1180, 0, -1, 35, 1
};

static OBJECT rs_object[] =
{ 
  /******** Tree 0 MENUE ****************************************************/
        -1,        1,        4, G_IBOX    ,   /* Object 0  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0000, 0x0050, 0x0019,
         4,        2,        2, G_BOX     ,   /* Object 1  */
  NONE, NORMAL, (LONG)0x00001100L,
  0x0000, 0x0000, 0x0050, 0x0201,
         1,        3,        3, G_IBOX    ,   /* Object 2  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0002, 0x0000, 0x0008, 0x0301,
         2,       -1,       -1, G_TITLE   ,   /* Object 3  */
  NONE, NORMAL, (LONG)" POVRay",
  0x0000, 0x0000, 0x0008, 0x0301,
         0,        5,        5, G_IBOX    ,   /* Object 4  */
  NONE, NORMAL, (LONG)0x00000000L,
  0x0000, 0x0301, 0x0050, 0x0017,
         4,        6,       13, G_BOX     ,   /* Object 5  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x0002, 0x0000, 0x0014, 0x0008,
         7,       -1,       -1, G_STRING  ,   /* Object 6  */
  NONE, NORMAL, (LONG)"  About...          ",
  0x0000, 0x0000, 0x0014, 0x0001,
         8,       -1,       -1, G_STRING  ,   /* Object 7  */
  NONE, DISABLED, (LONG)"--------------------",
  0x0000, 0x0001, 0x0014, 0x0001,
         9,       -1,       -1, G_STRING  ,   /* Object 8  */
  NONE, NORMAL, (LONG)"  Accessory #1      ",
  0x0000, 0x0002, 0x0014, 0x0001,
        10,       -1,       -1, G_STRING  ,   /* Object 9  */
  NONE, NORMAL, (LONG)"  Accessory #2      ",
  0x0000, 0x0003, 0x0014, 0x0001,
        11,       -1,       -1, G_STRING  ,   /* Object 10  */
  NONE, NORMAL, (LONG)"  Accessory #3      ",
  0x0000, 0x0004, 0x0014, 0x0001,
        12,       -1,       -1, G_STRING  ,   /* Object 11  */
  NONE, NORMAL, (LONG)"  Accessory #4      ",
  0x0000, 0x0005, 0x0014, 0x0001,
        13,       -1,       -1, G_STRING  ,   /* Object 12  */
  NONE, NORMAL, (LONG)"  Accessory #5      ",
  0x0000, 0x0006, 0x0014, 0x0001,
         5,       -1,       -1, G_STRING  ,   /* Object 13  */
  LASTOB, NORMAL, (LONG)"  Accessory #6      ",
  0x0000, 0x0007, 0x0014, 0x0001,
  
  /******** Tree 1 PINFO ****************************************************/
        -1,        1,       17, G_BOX     ,   /* Object 0  */
  NONE, OUTLINED, (LONG)0x00021100L,
  0x0000, 0x0000, 0x0027, 0x0013,
         2,       -1,       -1, G_STRING  ,   /* Object 1  */
  NONE, NORMAL, (LONG)"v2.1 Atari ST/TT/Falcon",
  0x0008, 0x0003, 0x0017, 0x0001,
        11,        3,       10, G_BOX     ,   /* Object 2  */
  NONE, NORMAL, (LONG)0x00FF1100L,
  0x0002, 0x0006, 0x0023, 0x0009,
         4,       -1,       -1, G_TEXT    ,   /* Object 3  */
  NONE, NORMAL, (LONG)&rs_tedinfo[0],
  0x0002, 0x0001, 0x001E, 0x0001,
         5,       -1,       -1, G_TEXT    ,   /* Object 4  */
  NONE, NORMAL, (LONG)&rs_tedinfo[1],
  0x0002, 0x0002, 0x041C, 0x0001,
         6,       -1,       -1, G_TEXT    ,   /* Object 5  */
  NONE, NORMAL, (LONG)&rs_tedinfo[2],
  0x0002, 0x0003, 0x061B, 0x0001,
         7,       -1,       -1, G_TEXT    ,   /* Object 6  */
  NONE, NORMAL, (LONG)&rs_tedinfo[3],
  0x0002, 0x0004, 0x021A, 0x0001,
         8,       -1,       -1, G_TEXT    ,   /* Object 7  */
  NONE, NORMAL, (LONG)&rs_tedinfo[4],
  0x0004, 0x0005, 0x061B, 0x0001,
         9,       -1,       -1, G_TEXT    ,   /* Object 8  */
  NONE, NORMAL, (LONG)&rs_tedinfo[5],
  0x0008, 0x0006, 0x0413, 0x0001,
        10,       -1,       -1, G_TEXT    ,   /* Object 9  */
  NONE, NORMAL, (LONG)&rs_tedinfo[6],
  0x0006, 0x0007, 0x0018, 0x0001,
         2,       -1,       -1, G_TEXT    ,   /* Object 10  */
  NONE, NORMAL, (LONG)&rs_tedinfo[7],
  0x0009, 0x0008, 0x0410, 0x0001,
        12,       -1,       -1, G_TEXT    ,   /* Object 11  */
  NONE, NORMAL, (LONG)&rs_tedinfo[8],
  0x0004, 0x0006, 0x0211, 0x0001,
        13,       -1,       -1, G_BUTTON  ,   /* Object 12  */
  SELECTABLE|DEFAULT|EXIT, NORMAL, (LONG)"  OK  ",
  0x0010, 0x0011, 0x0009, 0x0001,
        14,       -1,       -1, G_TEXT    ,   /* Object 13  */
  NONE, NORMAL, (LONG)&rs_tedinfo[9],
  0x0007, 0x0004, 0x021A, 0x0001,
        15,       -1,       -1, G_TEXT    ,   /* Object 14  */
  NONE, NORMAL, (LONG)&rs_tedinfo[10],
  0x0008, 0x0005, 0x0018, 0x0001,
        16,       -1,       -1, G_BUTTON  ,   /* Object 15  */
  NONE, OUTLINED|SHADOWED, (LONG)" Persistence Of Vision - Raytracer ",
  0x0002, 0x0001, 0x0023, 0x0001,
        17,       -1,       -1, G_TEXT    ,   /* Object 16  */
  NONE, NORMAL, (LONG)&rs_tedinfo[11],
  0x0004, 0x000F, 0x041F, 0x0001,
         0,       -1,       -1, G_TEXT    ,   /* Object 17  */
  LASTOB, NORMAL, (LONG)&rs_tedinfo[12],
  0x0007, 0x0010, 0x0419, 0x0001
};

static OBJECT *rs_trindex[] =
{ &rs_object[0],   /* Tree  0 MENUE    */
  &rs_object[14]    /* Tree  1 PINFO    */
};
